Bug 14534 - Stop overdue_notices.pl from issuing the warning: Use of uninitialized value $borrowernumber
Summary: Stop overdue_notices.pl from issuing the warning: Use of uninitialized value ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Ulrich Kleiber
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-15 06:19 UTC by Ulrich Kleiber
Modified: 2016-12-05 21:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14534: Stop overdue_notices.pl from issuing the warning: Use of uninitialized value $borrowernumber (1006 bytes, patch)
2015-07-15 06:46 UTC, Ulrich Kleiber
Details | Diff | Splinter Review
Bug 14534: Stop overdue_notices.pl from issuing the warning: Use of uninitialized value $borrowernumber (1.22 KB, patch)
2015-07-19 21:38 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 14534: Stop overdue_notices.pl from issuing the warning: Use of uninitialized value $borrowernumber (1.29 KB, patch)
2015-08-05 10:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Kleiber 2015-07-15 06:19:19 UTC

    
Comment 1 Ulrich Kleiber 2015-07-15 06:46:45 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-07-15 07:38:14 UTC
Is it ready to test?
Comment 3 Chris Cormack 2015-07-19 21:38:50 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-08-05 10:09:32 UTC
Created attachment 41374 [details] [review]
Bug 14534: Stop overdue_notices.pl from issuing the warning: Use of uninitialized value $borrowernumber

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

To test:

1/ Run the overdue_notices.pl script (don't do this on production
obviously :))
2/ Notice the warns
3/ Apply patch
4/ Run again
5/ Notice no warns, but notices are still generated ok

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Tomás Cohen Arazi 2015-08-11 16:00:39 UTC
Patch pushed to master.

Thanks Ulrich!
Comment 6 Chris Cormack 2015-08-11 20:26:25 UTC
Pushed to 3.20.x will be in 3.20.3